## kf6-qqc2-desktop-style 6.19.0

=== kirigami-plasmadesktop-integration/CMakeLists.txt ===
set(org.kde.desktop_SRCS
    animationspeedprovider.cpp
    plasmadesktoptheme.cpp
    kirigamiplasmafactory.cpp
    plasmadesktopunits.cpp
)

add_library(org.kde.desktop MODULE ${org.kde.desktop_SRCS})

target_link_libraries(org.kde.desktop
    PUBLIC
        Qt6::Core
        KF6::KirigamiPlatform
    PRIVATE
        Qt6::Qml
        Qt6::Quick
        KF6::ConfigCore
        KF6::ColorScheme
        KF6::IconThemes
)

if (HAVE_DBUS)
    target_link_libraries(org.kde.desktop
        PRIVATE
        Qt6::DBus
    )
    target_compile_definitions(org.kde.desktop PRIVATE -DHAVE_QTDBUS=1)
else()
    target_compile_definitions(org.kde.desktop PRIVATE -DHAVE_QTDBUS=0)
endif()

if(WIN32)
    target_link_libraries(org.kde.desktop PRIVATE user32)
endif()

install(TARGETS org.kde.desktop DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf6/kirigami/platform)

add_subdirectory(autotests)

=== plugin/CMakeLists.txt ===
ecm_add_qml_module(qqc2desktopstyleplugin URI org.kde.qqc2desktopstyle.private GENERATE_PLUGIN_SOURCE DEPENDENCIES QtQuick)

target_sources(qqc2desktopstyleplugin PRIVATE
    kquickstyleitem.cpp
    itembranchindicators.cpp
)

target_link_libraries(qqc2desktopstyleplugin PRIVATE
    Qt6::Core
    Qt6::Qml
    Qt6::Quick
    Qt6::Gui
    Qt6::Widgets
    KF6::ConfigCore
    KF6::KirigamiPlatform
)

ecm_finalize_qml_module(qqc2desktopstyleplugin)

=== debian/changelog ===
kf6-qqc2-desktop-style (6.19.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.18.0)
  * New upstream release (6.19.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Oct 2025 15:08:51 +0100

=== debian/control ===
Source: kf6-qqc2-desktop-style
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               dbus-x11,
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 6.19.0~),
               libkf6colorscheme-dev (>= 6.19.0~),
               libkf6config-dev (>= 6.19.0~),
               libkf6iconthemes-dev (>= 6.19.0~),
               libkirigami-dev (>= 6.19.0~),
               libxkbcommon-dev,
               pkgconf,
               qml6-module-org-kde-sonnet (>= 6.19.0~) <!nocheck>,
               qml6-module-qtqml-workerscript <!nocheck>,
               qml6-module-qtquick-window <!nocheck>,
               qt6-base-dev (>= 6.6.0~),
               qt6-base-private-dev (>= 6.5.0+dfsg~),
               qt6-declarative-dev (>= 6.6.0~),
               qt6-declarative-private-dev (>= 6.5.0+dfsg~),
               qt6-tools-dev (>= 6.5.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/qqc2-desktop-style
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-qqc2-desktop-style
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-qqc2-desktop-style
Rules-Requires-Root: no

Package: libkf6qqc2desktopstyle-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Qt Quick Controls 2: Desktop Style - data files
 Small style written in QML for QtQuickControls2 intended to be used
 by default in QQC2-based apps when used in the Plasma desktop
 .
 This package contains the data files.

Package: libkf6qqc2desktopstyle-dev
Section: libdevel
Architecture: any
Depends: qml6-module-org-kde-desktop (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt Quick Controls 2: Desktop Style - development files
 Small style written in QML for QtQuickControls2 intended to be used
 by default in QQC2-based apps when used in the Plasma desktop
 .
 This package contains the development files.

Package: qml6-module-org-kde-desktop
Architecture: any
Depends: libkf6qqc2desktopstyle-data,
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Breaks: qml-module-org-kde-qqc2desktopstyle (<< 5.116.1~)
Replaces: qml-module-org-kde-qqc2desktopstyle (<< 5.116.1~)
Description: Qt Quick Controls 2: Desktop Style
 Small style written in QML for QtQuickControls2 intended to be used
 by default in QQC2-based apps when used in the Plasma desktop

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --without build_stamp

override_dh_auto_test:
	# xvfb-run -a dbus-run-session dh_auto_test # 1 - animationspeedmodifiertest (Failed)

## kf6-qqc2-desktop-style 6.19.0+p24.04+vstable+git20251021.0521

=== debian/changelog ===
kf6-qqc2-desktop-style (6.19.0+p24.04+vstable+git20251021.0521-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 05:21:28 +0000

kf6-qqc2-desktop-style (6.19.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Oct 2025 07:15:18 +0000

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/frameworks/([\d\.]*)/qqc2-desktop-style-@ANY_VERSION@@ARCHIVE_EXT@

## kf6-qqc2-desktop-style 6.19.0+p24.04+vstable+git20251024.0205

=== debian/changelog ===
kf6-qqc2-desktop-style (6.19.0+p24.04+vstable+git20251024.0205-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 24 Oct 2025 02:05:45 +0000

=== debian/control ===
Source: kf6-qqc2-desktop-style
Section: kde
Priority: optional
Build-Depends: cmake,
               dbus-x11,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcolorscheme-dev,
               kf6-kconfig-dev,
               kf6-kiconthemes-dev,
               kf6-kirigami2-dev,
               kf6-sonnet-dev,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-tools-dev
Standards-Version: 4.6.2
Homepage: https://cgit.kde.org/qqc2-desktop-style.git/
Vcs-Git: https://invent.kde.org/neon/kf6/kf6-qqc2-desktop-style.git
Vcs-Browser: https://invent.kde.org/neon/kf6/kf6-qqc2-desktop-style
Maintainer: Neon CI <neon@kde.org>

Package: kf6-qqc2-desktop-style
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: qml6-module-org-kde-sonnet, ${misc:Depends}, ${shlibs:Depends}
Replaces: libkf6qqc2desktopstyle6, qml6-module-org-kde-qqc2desktopstyle
Description: Qt Quick Controls 2: Desktop Style
 Small style written in QML for QtQuickControls2 intended to be used
 by default in QQC2-based apps when used in the Plasma desktop

Package: kf6-qqc2-desktop-style-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: kf6-qqc2-desktop-style (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: libkf6qqc2desktopstyle-dev, libkf6qqc2desktopstyle-doc
Description: Qt Quick Controls 2: Desktop Style
 Small style written in QML for QtQuickControls2 intended to be used
 by default in QQC2-based apps when used in the Plasma desktop
 .
 This package contains the development files.

Package: libkf6qqc2desktopstyle6
Architecture: all
Depends: kf6-qqc2-desktop-style, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6qqc2desktopstyle-dev
Architecture: all
Depends: kf6-qqc2-desktop-style-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6qqc2desktopstyle-doc
Architecture: all
Depends: kf6-qqc2-desktop-style-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-org-kde-qqc2desktopstyle
Architecture: all
Depends: kf6-qqc2-desktop-style, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

## kf6-qqc2-desktop-style 6.19.0+p24.04+vstable+git20251030.0408

=== debian/changelog ===
kf6-qqc2-desktop-style (6.19.0+p24.04+vstable+git20251030.0408-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 30 Oct 2025 04:08:30 +0000

## kf6-qqc2-desktop-style 6.19.0+p24.04+vunstable+git20251020.0325

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "6.20.0") # handled by release scripts
set(KF_DEP_VERSION "6.19.0") # handled by release scripts

project(qqc2-desktop-style VERSION ${KF_VERSION})

set(REQUIRED_QT_VERSION 6.8.0)

find_package(ECM 6.19.0 REQUIRED NO_MODULE)

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMQmlModule)
include(ECMPoQmTools)
include(ECMFindQmlModule)
include(KDECMakeSettings)
include(KDEGitCommitHooks)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMDeprecationSettings)

find_package(Qt6 ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE COMPONENTS Core Quick Gui Widgets QuickControls2)

# shall we use DBus?
# enabled per default on Linux & BSD systems
set(USE_DBUS_DEFAULT OFF)
if(UNIX AND NOT APPLE AND NOT ANDROID AND NOT HAIKU)
    set(USE_DBUS_DEFAULT ON)
endif()
option(USE_DBUS "Build components using DBus" ${USE_DBUS_DEFAULT})
if(USE_DBUS)
  find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED DBus)
  set(HAVE_DBUS ON)
endif()

if (BUILD_TESTING)
    include(ECMAddTests)
    find_package(Qt6 ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS Test QuickTest)
endif()

find_package(KF6 ${KF_DEP_VERSION} REQUIRED COMPONENTS Config KirigamiPlatform)

# IconThemes and ColorScheme are optional
find_package(KF6IconThemes ${KF_DEP_VERSION})
find_package(KF6ColorScheme ${KF_DEP_VERSION})

if (NOT APPLE AND NOT WIN32)
    find_package(X11)
endif()

set_package_properties(IconThemes
    PROPERTIES
        DESCRIPTION "KF6 IconThemes framework"
        TYPE OPTIONAL
        PURPOSE "Optional integration of Kirigami with KIconLoader icons handling for a better integration with Plasma Desktop"
)
set_package_properties(ColorScheme
    PROPERTIES
        DESCRIPTION "KF6 ColorScheme framework"
        TYPE OPTIONAL
        PURPOSE "Optional integration of Kirigami with KColorScheme for color palettes integration with Plasma Desktop"
)

find_package(PkgConfig)

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6QQC2DesktopStyle")

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KF6QQC2DesktopStyleConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF6QQC2DesktopStyleConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
    PATH_VARS CMAKE_INSTALL_PREFIX
)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KF6QQC2DesktopStyleConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KF6QQC2DesktopStyleConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

ecm_setup_version(PROJECT
    VARIABLE_PREFIX QQC2DESKTOPSTYLE
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6QQC2DesktopStyleConfigVersion.cmake"
    SOVERSION 6
)

ecm_find_qmlmodule(org.kde.sonnet 1.0)

ecm_set_disabled_deprecation_versions(
    QT 6.10.0
    KF 6.18.0
)

add_subdirectory(plugin)

if (KF6IconThemes_FOUND AND KF6ColorScheme_FOUND)
    add_subdirectory(kirigami-plasmadesktop-integration)
endif()

ecm_add_qml_module(org_kde_desktop URI "org.kde.desktop" VERSION 1.0 GENERATE_PLUGIN_SOURCE DEPENDENCIES "org.kde.qqc2desktopstyle.private" "org.kde.desktop.private")

ecm_create_qm_loader(org_kde_desktop_QM_LOADER qqc2desktopstyle_qt)
target_sources(org_kde_desktop PRIVATE ${org_kde_desktop_QM_LOADER})

file(GLOB _public_qml "org.kde.desktop/*.qml")
ecm_target_qml_sources(org_kde_desktop
    VERSION 1.0
    SOURCES ${_public_qml}
)

# Private module goes separately, because a type can not be both internal and singleton (QTBUG-111545)
ecm_add_qml_module(org_kde_desktop_private
    URI "org.kde.desktop.private"
    VERSION 1.0
    GENERATE_PLUGIN_SOURCE
    DEPENDENCIES "org.kde.qqc2desktopstyle.private"
)

set_source_files_properties(
    org.kde.desktop/private/GlobalSonnetSettings.qml
    org.kde.desktop/private/MobileTextActionsToolBar.qml
    org.kde.desktop/private/TextFieldContextMenu.qml

    PROPERTIES
        QT_QML_SINGLETON_TYPE TRUE
)

file(GLOB _private_qml "org.kde.desktop/private/*.qml")
ecm_target_qml_sources(org_kde_desktop_private
    VERSION 1.0
    SOURCES ${_private_qml}
)

ecm_finalize_qml_module(org_kde_desktop         DESTINATION ${KDE_INSTALL_QMLDIR})
ecm_finalize_qml_module(org_kde_desktop_private DESTINATION ${KDE_INSTALL_QMLDIR})

# See https://bugreports.qt.io/browse/QTBUG-123216
add_dependencies(org_kde_desktop qqc2desktopstyleplugin org_kde_desktop_private)

ecm_install_po_files_as_qm(poqm)

include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== debian/changelog ===
kf6-qqc2-desktop-style (6.19.0+p24.04+vunstable+git20251020.0325-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 03:25:14 +0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --with kf6 --buildsystem kf6

## kf6-qqc2-desktop-style 6.19.0+p24.04+vunstable+git20251021.0410

=== debian/changelog ===
kf6-qqc2-desktop-style (6.19.0+p24.04+vunstable+git20251021.0410-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 04:10:04 +0000

## kf6-qqc2-desktop-style 6.20.0

=== debian/changelog ===
kf6-qqc2-desktop-style (6.20.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.20.0).
  * Update build-deps and deps with the info from cmake.
  * Re-enable build-time tests, switch test dependency from dbus-x11 to
    dbus-daemon. (Closes: #1117076)

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Nov 2025 19:26:17 +0100

=== debian/control ===
Source: kf6-qqc2-desktop-style
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               dbus-daemon <!nocheck>,
               extra-cmake-modules (>= 6.20.0~),
               libkf6colorscheme-dev (>= 6.20.0~),
               libkf6config-dev (>= 6.20.0~),
               libkf6iconthemes-dev (>= 6.20.0~),
               libkirigami-dev (>= 6.20.0~),
               libxkbcommon-dev,
               pkgconf,
               qml6-module-org-kde-desktop <!nocheck>,
               qml6-module-org-kde-sonnet,
               qt6-base-dev (>= 6.8.0~),
               qt6-base-private-dev (>= 6.5.0+dfsg~),
               qt6-declarative-dev (>= 6.8.0~),
               qt6-declarative-private-dev (>= 6.5.0+dfsg~),
               qt6-tools-dev (>= 6.5.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/frameworks/qqc2-desktop-style
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-qqc2-desktop-style
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-qqc2-desktop-style.git
Rules-Requires-Root: no

Package: libkf6qqc2desktopstyle-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Qt Quick Controls 2: Desktop Style - data files
 Small style written in QML for QtQuickControls2 intended to be used
 by default in QQC2-based apps when used in the Plasma desktop
 .
 This package contains the data files.

Package: libkf6qqc2desktopstyle-dev
Section: libdevel
Architecture: any
Depends: qml6-module-org-kde-desktop (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt Quick Controls 2: Desktop Style - development files
 Small style written in QML for QtQuickControls2 intended to be used
 by default in QQC2-based apps when used in the Plasma desktop
 .
 This package contains the development files.

Package: qml6-module-org-kde-desktop
Architecture: any
Depends: libkf6qqc2desktopstyle-data,
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: Qt Quick Controls 2: Desktop Style
 Small style written in QML for QtQuickControls2 intended to be used
 by default in QQC2-based apps when used in the Plasma desktop

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --without build_stamp

override_dh_auto_test:
	xvfb-run -a dbus-run-session dh_auto_test

## kf6-qqc2-desktop-style 6.20.0+p24.04+vunstable+git20251202.0744

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.20.0") # handled by release scripts
-set(KF_DEP_VERSION "6.19.0") # handled by release scripts
+set(KF_VERSION "6.21.0") # handled by release scripts
+set(KF_DEP_VERSION "6.20.0") # handled by release scripts
 
 project(qqc2-desktop-style VERSION ${KF_VERSION})
 
 set(REQUIRED_QT_VERSION 6.8.0)
 
-find_package(ECM 6.19.0 REQUIRED NO_MODULE)
+find_package(ECM 6.20.0 REQUIRED NO_MODULE)
 
 # where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

=== debian/changelog ===
kf6-qqc2-desktop-style (6.20.0+p24.04+vunstable+git20251202.0744-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 02 Dec 2025 07:44:52 +0000

kf6-qqc2-desktop-style (6.20.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 15:33:46 +1000

## kf6-qqc2-desktop-style 6.20.0+p24.04+vunstable+git20251204.0206

=== debian/changelog ===
kf6-qqc2-desktop-style (6.20.0+p24.04+vunstable+git20251204.0206-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 02:06:40 +0000

## kf6-qqc2-desktop-style 6.21.0

=== debian/changelog ===
kf6-qqc2-desktop-style (6.21.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.21.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 12 Dec 2025 11:54:23 +0000

kf6-qqc2-desktop-style (6.20.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.20.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Nov 2025 16:17:01 +0000

=== debian/control ===
Source: kf6-qqc2-desktop-style
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               dbus-x11,
               extra-cmake-modules (>= 6.21.0~),
               libkf6colorscheme-dev (>= 6.21.0~),
               libkf6config-dev (>= 6.21.0~),
               libkf6iconthemes-dev (>= 6.21.0~),
               libkirigami-dev (>= 6.21.0~),
               libxkbcommon-dev,
               pkgconf,
               qml6-module-org-kde-sonnet (>= 6.21.0~) <!nocheck>,
               qml6-module-qtqml-workerscript <!nocheck>,
               qml6-module-qtquick-window <!nocheck>,
               qt6-base-dev (>= 6.8.0~),
               qt6-base-private-dev (>= 6.8.0+dfsg~),
               qt6-declarative-dev (>= 6.8.0~),
               qt6-declarative-private-dev (>= 6.8.0+dfsg~),
               qt6-tools-dev (>= 6.8.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/qqc2-desktop-style
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-qqc2-desktop-style
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-qqc2-desktop-style
Rules-Requires-Root: no

Package: libkf6qqc2desktopstyle-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Qt Quick Controls 2: Desktop Style - data files
 Small style written in QML for QtQuickControls2 intended to be used
 by default in QQC2-based apps when used in the Plasma desktop
 .
 This package contains the data files.

Package: libkf6qqc2desktopstyle-dev
Section: libdevel
Architecture: any
Depends: qml6-module-org-kde-desktop (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt Quick Controls 2: Desktop Style - development files
 Small style written in QML for QtQuickControls2 intended to be used
 by default in QQC2-based apps when used in the Plasma desktop
 .
 This package contains the development files.

Package: qml6-module-org-kde-desktop
Architecture: any
Depends: libkf6qqc2desktopstyle-data,
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Breaks: qml-module-org-kde-qqc2desktopstyle (<< 5.116.1~),
Replaces: qml-module-org-kde-qqc2desktopstyle (<< 5.116.1~),
Description: Qt Quick Controls 2: Desktop Style
 Small style written in QML for QtQuickControls2 intended to be used
 by default in QQC2-based apps when used in the Plasma desktop

## kf6-qqc2-desktop-style 6.21.0+p24.04+vstable+git20251228.0059

=== debian/changelog ===
kf6-qqc2-desktop-style (6.21.0+p24.04+vstable+git20251228.0059-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 28 Dec 2025 00:59:38 +0000

kf6-qqc2-desktop-style (6.21.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 15:10:14 +1000

## kf6-qqc2-desktop-style 6.21.0+p24.04+vstable+git20251231.0111

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.21.0") # handled by release scripts
-set(KF_DEP_VERSION "6.20.0") # handled by release scripts
+set(KF_VERSION "6.22.0") # handled by release scripts
+set(KF_DEP_VERSION "6.21.0") # handled by release scripts
 
 project(qqc2-desktop-style VERSION ${KF_VERSION})
 
 set(REQUIRED_QT_VERSION 6.8.0)
 
-find_package(ECM 6.20.0 REQUIRED NO_MODULE)
+find_package(ECM 6.21.0 REQUIRED NO_MODULE)
 
 # where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})
@@ -92,8 +92,8 @@
 ecm_find_qmlmodule(org.kde.sonnet 1.0)
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.10.0
-    KF 6.18.0
+    QT 6.11.0
+    KF 6.21.0
 )
 
 add_subdirectory(plugin)

=== debian/changelog ===
kf6-qqc2-desktop-style (6.21.0+p24.04+vstable+git20251231.0111-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 01:11:18 +0000

## kf6-qqc2-desktop-style 6.21.0+p24.04+vstable+git20260103.0251

=== debian/changelog ===
kf6-qqc2-desktop-style (6.21.0+p24.04+vstable+git20260103.0251-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 02:51:16 +0000

## kf6-qqc2-desktop-style 6.21.0+p24.04+vunstable+git20260105.1332

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.22.0") # handled by release scripts
-set(KF_DEP_VERSION "6.21.0") # handled by release scripts
+set(KF_VERSION "6.23.0") # handled by release scripts
+set(KF_DEP_VERSION "6.22.0") # handled by release scripts
 
 project(qqc2-desktop-style VERSION ${KF_VERSION})
 
 set(REQUIRED_QT_VERSION 6.8.0)
 
-find_package(ECM 6.21.0 REQUIRED NO_MODULE)
+find_package(ECM 6.22.0 REQUIRED NO_MODULE)
 
 # where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

## kf6-qqc2-desktop-style 6.22.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.23.0") # handled by release scripts
+set(KF_VERSION "6.22.0") # handled by release scripts
 set(KF_DEP_VERSION "6.22.0") # handled by release scripts
 
 project(qqc2-desktop-style VERSION ${KF_VERSION})

=== debian/changelog ===
kf6-qqc2-desktop-style (6.22.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.22.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 Jan 2026 18:33:49 +0000

=== debian/control ===
--- 
+++ 
@@ -5,20 +5,20 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               dbus-x11,
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               cmake (>= 3.16~),
-               dbus-x11,
-               extra-cmake-modules (>= 6.21.0~),
-               libkf6colorscheme-dev (>= 6.21.0~),
-               libkf6config-dev (>= 6.21.0~),
-               libkf6iconthemes-dev (>= 6.21.0~),
-               libkirigami-dev (>= 6.21.0~),
+               extra-cmake-modules (>= 6.22.0~),
+               libkf6colorscheme-dev (>= 6.22.0~),
+               libkf6config-dev (>= 6.22.0~),
+               libkf6iconthemes-dev (>= 6.22.0~),
+               libkirigami-dev (>= 6.22.0~),
                libxkbcommon-dev,
                pkgconf,
-               qml6-module-org-kde-sonnet (>= 6.21.0~) <!nocheck>,
+               qml6-module-org-kde-sonnet (>= 6.22.0~) <!nocheck>,
                qml6-module-qtqml-workerscript <!nocheck>,
                qml6-module-qtquick-window <!nocheck>,
                qt6-base-dev (>= 6.8.0~),

## kf6-qqc2-desktop-style 6.22.0+p24.04+vstable+git20260202.0955

=== debian/changelog ===
kf6-qqc2-desktop-style (6.22.0+p24.04+vstable+git20260202.0955-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 02 Feb 2026 09:55:33 +0000

kf6-qqc2-desktop-style (6.22.0-0neon) Noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 16:41:30 +1000

## kf6-qqc2-desktop-style 6.22.0+p24.04+vstable+git20260205.2151

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
-cmake_minimum_required(VERSION 3.16)
-
-set(KF_VERSION "6.22.0") # handled by release scripts
+cmake_minimum_required(VERSION 3.27)
+
+set(KF_VERSION "6.23.0") # handled by release scripts
 set(KF_DEP_VERSION "6.22.0") # handled by release scripts
 
 project(qqc2-desktop-style VERSION ${KF_VERSION})
@@ -107,11 +107,64 @@
 ecm_create_qm_loader(org_kde_desktop_QM_LOADER qqc2desktopstyle_qt)
 target_sources(org_kde_desktop PRIVATE ${org_kde_desktop_QM_LOADER})
 
-file(GLOB _public_qml "org.kde.desktop/*.qml")
 ecm_target_qml_sources(org_kde_desktop
     VERSION 1.0
-    SOURCES ${_public_qml}
-)
+    SOURCES
+        org.kde.desktop/BusyIndicator.qml
+        org.kde.desktop/Button.qml
+        org.kde.desktop/CheckBox.qml
+        org.kde.desktop/CheckDelegate.qml
+        org.kde.desktop/ComboBox.qml
+        org.kde.desktop/Container.qml
+        org.kde.desktop/Control.qml
+        org.kde.desktop/DelayButton.qml
+        org.kde.desktop/Dial.qml
+        org.kde.desktop/Dialog.qml
+        org.kde.desktop/DialogButtonBox.qml
+        org.kde.desktop/Drawer.qml
+        org.kde.desktop/Frame.qml
+        org.kde.desktop/GroupBox.qml
+        org.kde.desktop/HorizontalHeaderView.qml
+        org.kde.desktop/ItemDelegate.qml
+        org.kde.desktop/Label.qml
+        org.kde.desktop/Menu.qml
+        org.kde.desktop/MenuBar.qml
+        org.kde.desktop/MenuBarItem.qml
+        org.kde.desktop/MenuItem.qml
+        org.kde.desktop/MenuSeparator.qml
+        org.kde.desktop/Page.qml
+        org.kde.desktop/PageIndicator.qml
+        org.kde.desktop/Pane.qml
+        org.kde.desktop/Popup.qml
+        org.kde.desktop/ProgressBar.qml
+        org.kde.desktop/RadioButton.qml
+        org.kde.desktop/RadioDelegate.qml
+        org.kde.desktop/RangeSlider.qml
+        org.kde.desktop/RoundButton.qml
+        org.kde.desktop/ScrollBar.qml
+        org.kde.desktop/ScrollView.qml
+        org.kde.desktop/Slider.qml
+        org.kde.desktop/SpinBox.qml
+        org.kde.desktop/SplitView.qml
+        org.kde.desktop/StackView.qml
+        org.kde.desktop/SwipeDelegate.qml
+        org.kde.desktop/Switch.qml
+        org.kde.desktop/SwitchDelegate.qml
+        org.kde.desktop/TabBar.qml
+        org.kde.desktop/TabButton.qml
+        org.kde.desktop/TextArea.qml
+        org.kde.desktop/TextField.qml
+        org.kde.desktop/ToolBar.qml
+        org.kde.desktop/ToolButton.qml
+        org.kde.desktop/ToolSeparator.qml
+        org.kde.desktop/ToolTip.qml
+        org.kde.desktop/TreeViewDelegate.qml
+        org.kde.desktop/VerticalHeaderView.qml
+)
+
+if (Qt6QuickControls2_VERSION VERSION_GREATER_EQUAL "6.10.0")
+    ecm_target_qml_sources(org_kde_desktop SOURCES org.kde.desktop/SearchField.qml)
+endif()
 
 # Private module goes separately, because a type can not be both internal and singleton (QTBUG-111545)
 ecm_add_qml_module(org_kde_desktop_private

=== debian/changelog ===
kf6-qqc2-desktop-style (6.22.0+p24.04+vstable+git20260205.2151-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 21:51:43 +0000

## kf6-qqc2-desktop-style 6.22.0+p24.04+vunstable+git20260106.1024

=== debian/changelog ===
kf6-qqc2-desktop-style (6.22.0+p24.04+vunstable+git20260106.1024-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 10:24:46 +0000

## kf6-qqc2-desktop-style 6.22.0+p24.04+vunstable+git20260201.0607

=== debian/changelog ===
kf6-qqc2-desktop-style (6.22.0+p24.04+vunstable+git20260201.0607-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 06:07:46 +0000

## kf6-qqc2-desktop-style 6.22.0+p24.04+vunstable+git20260209.0639

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
 cmake_minimum_required(VERSION 3.27)
 
-set(KF_VERSION "6.23.0") # handled by release scripts
-set(KF_DEP_VERSION "6.22.0") # handled by release scripts
+set(KF_VERSION "6.24.0") # handled by release scripts
+set(KF_DEP_VERSION "6.23.0") # handled by release scripts
 
 project(qqc2-desktop-style VERSION ${KF_VERSION})
 
 set(REQUIRED_QT_VERSION 6.8.0)
 
-find_package(ECM 6.22.0 REQUIRED NO_MODULE)
+find_package(ECM 6.23.0 REQUIRED NO_MODULE)
 
 # where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

=== debian/changelog ===
kf6-qqc2-desktop-style (6.22.0+p24.04+vunstable+git20260209.0639-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 09 Feb 2026 06:39:20 +0000

## kf6-qqc2-desktop-style 6.23.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.27)
 
-set(KF_VERSION "6.24.0") # handled by release scripts
+set(KF_VERSION "6.23.0") # handled by release scripts
 set(KF_DEP_VERSION "6.23.0") # handled by release scripts
 
 project(qqc2-desktop-style VERSION ${KF_VERSION})

=== debian/changelog ===
kf6-qqc2-desktop-style (6.23.0-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Backport upstream commit: Menu: make sure implicitWidth/height is
    never 0. [6d79bb73]

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 24 Feb 2026 15:05:58 +0100

kf6-qqc2-desktop-style (6.23.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.23.0).
  * Update build-deps and deps with the info from cmake.
  * Add/update Nicolas Fella’s key in upstream keyring.
  * Use DEB_HOST_MULTIARCH in libraries install path.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 21 Feb 2026 16:46:09 +0100

kf6-qqc2-desktop-style (6.20.0-2) unstable; urgency=medium

  * Team upload.
  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.
  * Bump Standards-Version to 4.7.3, no changes required.
  * CI: update/simplify configuration.
  * Remove the unused ${shlibs:Depends} substvar from
    libkf6qqc2desktopstyle-dev.
  * Drop the unused libxkbcommon-dev build dependency.
  * Do not use qml6-module-org-kde-desktop (which is built by this source)
    as build dependency for the tests, otherwise this source cannot be cleanly
    built; sadly one of the tests assumes an "installed" layout, so:
    - install kf6-qqc2-desktop-style in a local directory, pointing to it via
      QT_PLUGIN_PATH, and XDG_DATA_DIRS
    - use a static "tmp" subdirectory of the local "test_root" as $TMPDIR,
      so it is already cleaned, and it does not pollute the system $TMPDIR
    - print the leftover temporary files after running the tests, to easily spot
      leaked files
    - drop the qml6-module-org-kde-desktop test build dependency
  * Drop Priority: optional, no more needed since dpkg 1.22.13.

 -- Pino Toscano <pino@debian.org>  Mon, 05 Jan 2026 23:22:34 +0100

=== debian/control ===
Source: kf6-qqc2-desktop-style
Section: kde
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               cmake (>= 3.27~),
               dbus-daemon <!nocheck>,
               extra-cmake-modules (>= 6.23.0~),
               libkf6colorscheme-dev (>= 6.23.0~),
               libkf6config-dev (>= 6.23.0~),
               libkf6iconthemes-dev (>= 6.23.0~),
               libkirigami-dev (>= 6.23.0~),
               pkgconf,
               qml6-module-org-kde-sonnet,
               qt6-base-dev (>= 6.8.0~),
               qt6-base-private-dev (>= 6.5.0+dfsg~),
               qt6-declarative-dev (>= 6.8.0~),
               qt6-declarative-private-dev (>= 6.5.0+dfsg~),
               qt6-tools-dev (>= 6.5.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.3
Homepage: https://invent.kde.org/frameworks/qqc2-desktop-style
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-qqc2-desktop-style
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-qqc2-desktop-style.git

Package: libkf6qqc2desktopstyle-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Qt Quick Controls 2: Desktop Style - data files
 Small style written in QML for QtQuickControls2 intended to be used
 by default in QQC2-based apps when used in the Plasma desktop
 .
 This package contains the data files.

Package: libkf6qqc2desktopstyle-dev
Section: libdevel
Architecture: any
Depends: qml6-module-org-kde-desktop (= ${binary:Version}),
         ${misc:Depends},
Description: Qt Quick Controls 2: Desktop Style - development files
 Small style written in QML for QtQuickControls2 intended to be used
 by default in QQC2-based apps when used in the Plasma desktop
 .
 This package contains the development files.

Package: qml6-module-org-kde-desktop
Architecture: any
Depends: libkf6qqc2desktopstyle-data,
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: Qt Quick Controls 2: Desktop Style
 Small style written in QML for QtQuickControls2 intended to be used
 by default in QQC2-based apps when used in the Plasma desktop

=== debian/rules ===
--- 
+++ 
@@ -7,4 +7,10 @@
 	dh $@ --without build_stamp
 
 override_dh_auto_test:
-	xvfb-run -a dbus-run-session dh_auto_test
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	cd obj-* && $(MAKE) install DESTDIR=$(CURDIR)/test_root
+	mkdir -p "$(CURDIR)/test_root/tmp"
+	xvfb-run -a dbus-run-session dh_auto_test -- QT_PLUGIN_PATH=$(CURDIR)/test_root/usr/lib/$(DEB_HOST_MULTIARCH)/qt6/plugins XDG_DATA_DIRS=$(CURDIR)/test_root/usr/share:/usr/local/share:/usr/share TMPDIR="$(CURDIR)/test_root/tmp"
+	# check leftover temporary files
+	cd "$(CURDIR)/test_root/tmp" && find | sort
+endif
